﻿Imports System.Reflection
Imports Infragistics.Win.UltraMessageBox

Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Function ShowMessage(info As UltraMessageBoxInfo) As DialogResult
        ' assume the UltraMessageBoxInfo has been passed in as 'info'
        Dim asm As Assembly = Assembly.GetAssembly(GetType(UltraMessageBoxManager))

        ' create an instance of the dialog
        Dim type As Type = asm.[GetType]("Infragistics.Win.UltraMessageBox.MessageBoxDialog")
        Using dialog As Form = TryCast(asm.CreateInstance(type.FullName), Form)
            ' initialize the dialog
            Dim mi As MethodInfo = type.GetMethod("InitializeDialog", BindingFlags.NonPublic Or BindingFlags.Instance, Nothing, New Type() {info.[GetType]()}, Nothing)
            Dim parameters As Object() = New Object() {info}
            mi.Invoke(dialog, parameters)

            ' assign whatever icon you want
            dialog.ShowIcon = True
            dialog.Icon = Me.Icon

            Return dialog.ShowDialog(Me)
        End Using
    End Function

    Private Sub UltraButton1_Click(sender As System.Object, e As System.EventArgs) Handles UltraButton1.Click
        Dim objMessageInfo As New UltraMessageBoxInfo

        objMessageInfo.Buttons = MessageBoxButtons.OK

        objMessageInfo.Icon = MessageBoxIcon.Information

        objMessageInfo.Caption = "Message"

        objMessageInfo.TextFormatted = " <a href='" + My.Application.Info.DirectoryPath + "\MyLog.log'> " + My.Application.Info.DirectoryPath + "\MyLog.log</a>"

        objMessageInfo.ButtonAlignment = Infragistics.Win.HAlign.Center

        objMessageInfo.Style = Infragistics.Win.UltraMessageBox.MessageBoxStyle.Standard

        objMessageInfo.ShowHelpButton = Infragistics.Win.DefaultableBoolean.False

        ShowMessage(objMessageInfo)

    End Sub
End Class
